
QGIS Application - Bug report #21626

crash on open

2019-03-20 02:14 PM - Jeremy Spurway

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.6.0 Regression?: No

Operating System: opensuse leap 15.0 Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 29442

Description

Hi,

I've recently re-built my laptop with a new install of opensuse 15.0; I retained my /home/ directory, but masked my previous .qgis2 config

folders. I was previously on QGIS2.14.

I've tried installing 2.18, 3.6, and now 3.4.5, but none of them work.

Initially, QGIS loaded, but would crash when I attempted to add a projected vector layer.

Now QGIS crashes before the 'Madeira' splash screen has disappeared, and after it says 'QGIS Ready!'.

I've installed the QGIS debug packages, which seems to stop it dumping the core, but the GUI is unresponsive; and the process is

extremely reluctant to

I've added two console logs w/o debug (00) and w/ debug (04).

what more info can I supply?

where do I look for the core dump (I've been executing qgis from ~/ but I don't see any likely files in the folder)?

History

#1 - 2019-03-20 02:15 PM - Jeremy Spurway

N.B. debug packages 'delay' rather than 'stop' core dump

#2 - 2019-03-20 07:01 PM - Giovanni Manghi

a packaging issue maybe? who prepared the ones for suse?

#3 - 2019-03-23 10:46 PM - Jeremy Spurway

And now 3.4.5 QGIS LTR is no longer available from https://download.opensuse.org/repositories/Application:/Geo/, so I can't undertake further tests on the

LTR version; the only version available for Opensuse Leap 15.0 appears to be 3.6.0, (qgis-3.6.0-lp150.2.2.x86_64.rpm), which was built today, so I'll try

that.

#4 - 2019-03-24 11:11 PM - Jeremy Spurway
- File qgis360_02.log added

#5 - 2019-03-24 11:16 PM - Jeremy Spurway

@ Giovanni: the package doesn't have anyone attributed as 'packager'

#6 - 2019-03-26 10:48 AM - Jeremy Spurway

Now that 3.4.5 is no longer available on opensuse repositories, this bug should be re-named to 'QGIS 3.6.0 crash on open'

#7 - 2019-03-26 11:17 AM - Jürgen Fischer

- Affected QGIS version changed from 3.4.5 to 3.6.0

- Subject changed from QGIS 3.4.5 crash on open to crash on open

Jeremy Spurway wrote:

Now that 3.4.5 is no longer available on opensuse repositories, this bug should be re-named to 'QGIS 3.6.0 crash on open'

No, the version number should not be in the subject at all. ;)

#8 - 2019-03-27 05:09 PM - Hennning Finckenstein

My environment is openSuse 15.0 and QGIS 3.6.0 too and I have the same problem. 

QGIS starts up to the message QGIS is ready and opens the Start-Window. 

After that long time nothing happens and the window closes.

My Systemd-Jounal shows:

QXcbConnection: XCB error: 3 (BadWindow), sequence: 63264, resource id: 136314896, major code: 15 (QueryTree), minor code: 0 and 

file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:334: Unable to assign [undefined] to int

as last entries. Maybe it's an issue with QT and/or Plasma. I'm not an expert with that.

Help is despetately required.

#9 - 2019-03-27 07:42 PM - Hennning Finckenstein

It' not QT - it's libproj.

Found a workaround:

https://bugzilla.opensuse.org/show_bug.cgi?id=1130269

In short:

remove libproj15, install libproj13 and ignore breaking dependancy

good luck
#10 - 2019-03-27 07:54 PM - Giovanni Manghi

- Status changed from Open to Feedback

Closing as upstream issue?

#11 - 2019-03-27 08:49 PM - Hennning Finckenstein

I found a workaround but that is not a solution surviving the next update.

What is an upstream issue? I'm new in this forum. 

How we can ensure that a final adjustment will be made?

#12 - 2019-03-28 01:17 AM - Cristhian  Castro

Jeremy Spurway wrote:

Hi,

I've recently re-built my laptop with a new install of opensuse 15.0; I retained my /home/ directory, but masked my previous .qgis2 config folders. I

was previously on QGIS2.14.

I've tried installing 2.18, 3.6, and now 3.4.5, but none of them work.

Initially, QGIS loaded, but would crash when I attempted to add a projected vector layer.

Now QGIS crashes before the 'Madeira' splash screen has disappeared, and after it says 'QGIS Ready!'.

I've installed the QGIS debug packages, which seems to stop it dumping the core, but the GUI is unresponsive; and the process is extremely

reluctant to

I've added two console logs w/o debug (00) and w/ debug (04).

what more info can I supply?

where do I look for the core dump (I've been executing qgis from ~/ but I don't see any likely files in the folder)?

Buenas noches a mi también me sucedió este problema al actualizar mi Qgis 3.6 en Opensuse Leap 15.0, y me pude dar cuenta que después de ejecutar

el programa a través de Konsole, este arroja el siguiente error:

src/core/qgsmessagelog.cpp:29 : (logMessage) [1265ms] 2019-03-23T22:55:23 Processing

2

Problem with SAGA installation: SAGA was not found

or is not correctly installed

src/gui/qgsmapcanvas.cpp:499 : (refresh) [28ms] CANVAS refresh - invalid settings -> nothing to do

src/gui/qgsmapcanvas.cpp:499 : (refresh) [4ms] CANVAS refresh - invalid settings -> nothing to do

src/core/qgsmessagelog.cpp:29 : (logMessage) [57ms] 2019-03-23T22:55:23 Processing

1

 Invalid algorithm ID for menu: qgis:polygonstolines

Por lo que puedo deducir el problema es el empaquetado que se encuentra disponible en los repositorios......espero que ojala pudieran resolver este

problema pronto ya que no puedo esperar hasta que salga una nueva actualización......

Lo que mas me entristece es que Qgis tenga mejor compatibilidad en MS Windows que en su propio sistema de origen (Linux)
#13 - 2019-03-28 02:15 AM - Jeremy Spurway

https://build.opensuse.org/package/show/Application%3AGeo/saga-gis shows that SAGA build failed; hence it is not available for Leap 15.0, I guess. It

won't install from https://software.opensuse.org/package/saga-gis because the repository info is out-of-date; and Leap 15.0 is not available on 

https://software.opensuse.org//download.html?project=Application%3AGeo&#38;package=saga-gis

I'm not sure this is what is causing the crash, though. SAGA provides optional features...

#14 - 2019-03-28 02:26 AM - Jeremy Spurway

@Hennning: thanks for your workaround - it enabled me to open a (2.14) project;

it subsequently crashed whilst trying to open a TIFF layer:

...

src/providers/gdal/qgsgdalprovider.cpp:160 : (QgsGdalProvider) [1ms] constructing with uri '/home/jeremy/GIS/data/OS VectorMap District (Raster)

NN/data/georefNN/NN60.tif'.

Warning 1: TIFFFetchNormalTag:Incompatible type for "RichTIFFIPTC"; tag ignored

src/providers/gdal/qgsgdalprovider.cpp:2620 : (initIfNeeded) [6ms] GdalDataset opened

qgis: symbol lookup error: /usr/lib64/libgdal.so.20: undefined symbol: GTIFNewEx

#15 - 2019-03-28 01:43 PM - Giovanni Manghi

What is an upstream issue? I'm new in this forum. 

How we can ensure that a final adjustment will be made?

is the problem in QGIS core code, or the problem depends on a dependency on particular platform (i.e. suse)?

If is the latter then is not a QGIS issue, I guess.

#16 - 2019-04-21 01:03 AM - Hennning Finckenstein

Hi, since the latest Suse-update the problem is solved. In my opinion the issue could be closed.

#17 - 2019-04-21 08:48 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to up/downstream

Files

qgis345_00.log 114 KB 2019-03-20 Jeremy Spurway

qgis345_04.log 133 KB 2019-03-20 Jeremy Spurway

qgis360_02.log 142 KB 2019-03-24 Jeremy Spurway
